/* crlfetch.c - LDAP access
 *      Copyright (C) 2002 Klarlvdalens Datakonsult AB
 *
 * This file is part of DirMngr.
 *
 * DirMngr is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * DirMngr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include <config.h>

#include "crlfetch.h"
#include "dirmngr.h"

#include <stdio.h>


int crl_fetch( const char* issuer, char** value, size_t* valuelen )
{
  DIRMNGR_START_FNC;
  /*return attr_fetch_ldap( issuer, "certificateRevocationList;binary", value, valuelen );
   */
  return url_fetch_ldap( issuer, "certificateRevocationList;binary", value, valuelen );
}

int crl_fetch_default( const char* issuer, char** value, size_t* valuelen )
{
  DIRMNGR_START_FNC;
  return attr_fetch_ldap( issuer, "certificateRevocationList;binary", value, valuelen ); 
}

int ca_cert_fetch( const char* dn, char** value, size_t* valuelen )
{
  DIRMNGR_START_FNC;
  return attr_fetch_ldap( dn, "cACertificate;binary", value, valuelen );
}


int start_cert_fetch( STRLIST patterns, const struct ldap_server_s* server )
{
  log_debug( "start_cert_fetch()\n" );
  return start_cert_fetch_ldap( patterns, server );
}

int fetch_next_cert( char** value, size_t* valuelen )
{
  log_debug( "fetch_next_cert()\n" );
  return fetch_next_cert_ldap( value, valuelen );
}

int end_cert_fetch()
{
  log_debug( "end_cert_fetch()\n" );
  return end_cert_fetch_ldap();
}
